## org.hibernate.engine.jdbc
Interface JdbcSupport

All Known Implementing Classes:
  JdbcSupportImpl

    public interface JdbcSupport

Isolates Hibernate interactions with JDBC in terms of variations between JDBC 3 (JDK 1.4 and 1.5) and JDBC 4 (JDK 1.6).

Author:
  Steve Ebersole

Method Summary
`LobCreator` `getLobCreator()` Deprecated. Use `getLobCreator(LobCreationContext)` instead.
`LobCreator` `getLobCreator(LobCreationContext lobCreationContext)` Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).
`ResultSet` `wrap(ResultSet resultSet, ColumnNameCache columnNameCache)` Wrap the given `ResultSet` in one that caches the column-name -> column-index resolution.

Method Detail

### getLobCreator

    LobCreator getLobCreator()

  Deprecated. Use `getLobCreator(LobCreationContext)` instead.

  Creates an instance of a `LobCreator` that does not use the underlying JDBC `Connection` to create LOBs.

  This method is here solely to support the older, now-deprecated method of creating LOBs via the various `Hibernate.createBlob(byte[])` and `Hibernate.createClob(java.lang.String)` methods on `Hibernate`.

  Returns:
    The LOB creator.

### getLobCreator

    LobCreator getLobCreator(LobCreationContext lobCreationContext)

  Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).

  Parameters:
    `lobCreationContext` - The context in which the LOB is being created
  Returns:
    The LOB creator.

### wrap

    ResultSet wrap(ResultSet resultSet,
                   ColumnNameCache columnNameCache)

  Wrap the given `ResultSet` in one that caches the column-name -> column-index resolution.

  Parameters:
    `resultSet` - The `ResultSet` to wrap.
    `columnNameCache` - The resolution cache.
  Returns:
    The wrapper.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.